Imports System.Net
Imports System.IO
Module SCC_Sample

    Sub Main()
        Dim sOutput As String
        Dim sURL As String
        sURL = "http://msdn.microsoft.com"
        Try
            Dim objNewRequest _
                As WebRequest = HttpWebRequest.Create(sURL)
            Dim objResponse _
                As WebResponse = objNewRequest.GetResponse
            Dim objStream _
                As New StreamReader(objResponse.GetResponseStream())
            sOutput = objStream.ReadToEnd()
        Catch eUFE As UriFormatException
            sOutput = "Error in URL Format: [" & sURL & "]" & _
                System.Environment.NewLine() & eUFE.Message
        Catch eWEB As WebException
            sOutput = "Error With Web Request: " _
                & System.Environment.NewLine() & eWEB.Message
        Catch e As Exception
            sOutput = e.ToString
        Finally
            Console.Write(sOutput)
        End Try
        Console.ReadLine()
    End Sub

End Module
